model{
	for(i in 1:772){
		for(j in 1:3){
		polrts[i,j] ~ dnorm(mu.pr[i,j], tau.pr[time[i], j])
			mu.pr[i,j] <- a.pr[time[i], j] + b.pr[time[i], j] * latent.polrts[ccode[i], time[i]]
		}
		for(j in 1:4){
		civlibs[i,j] ~ dnorm(mu.cl[i,j], tau.cl[time[i], j])
			mu.cl[i,j] <- a.cl[time[i], j] + b.cl[time[i], j] * latent.civlibs[ccode[i], time[i]]
		}
	}

	a.pr[1,1] <- 0
	a.cl[1,1] <- 0
	b.pr[1,1] <- 1
	b.cl[1,1] <- 1
	a.pr[2,1] <- 0
	b.pr[2,1] <- 1
	a.cl[2,1] <- 0
	b.cl[2,1] <- 1
	a.pr[3,1] <- 0
	b.pr[3,1] <- 1
	a.cl[3,1] <- 0
	b.cl[3,1] <- 1
	a.pr[4,1] <- 0
	b.pr[4,1] <- 1
	a.cl[4,1] <- 0
	b.cl[4,1] <- 1
	a.pr[1,2] ~ dnorm(0,.1)
	b.pr[1,2] ~ dnorm(0,.1)
	a.cl[1,2] ~ dnorm(0,.1)
	b.cl[1,2] ~ dnorm(0,.1)
	a.pr[1,3] ~ dnorm(0,.1)
	b.pr[1,3] ~ dnorm(0,.1)
	a.cl[1,3] ~ dnorm(0,.1)
	b.cl[1,3] ~ dnorm(0,.1)
	a.cl[1,4] ~ dnorm(0,.1)
	b.cl[1,4] ~ dnorm(0,.1)
	
	for(j in 2:4){
		for(k in 2:3){
			a.pr[j,k] ~ dnorm(0,.1)
			b.pr[j,k] ~ dnorm(0,.1)
		}
		for(k in 2:4){
			a.cl[j,k] ~ dnorm(0,.1)
			b.cl[j,k] ~ dnorm(0,.1)
		}
	}
	
for(i in 1:193){
	latent.polrts[i,1] ~ dnorm(0, tau.lpr[1])
	latent.civlibs[i,1] ~ dnorm(0, tau.lcl[1])
	for(j in 2:4){
		latent.polrts[i,j] ~ dnorm(latent.polrts[i,(j-1)], tau.lpr[2])
		latent.civlibs[i,j] ~ dnorm(latent.civlibs[i,(j-1)], tau.lcl[2])
	}
}
for(i in 1:4){
	for(j in 1:3){
		tau.pr[i,j] ~ dgamma(1,1)
	}
	for(j in 1:4){
		tau.cl[i,j] ~ dgamma(1,1)
	}
}
	tau.lpr[1] ~ dgamma(1,1)
	tau.lcl[1] ~ dgamma(1,1)
	tau.lpr[2] ~ dgamma(1,1)
	tau.lcl[2] ~ dgamma(1,1)

	sig.lpr[1] <- sqrt(pow(tau.lpr[1], -1))
	sig.lcl[1] <- sqrt(pow(tau.lcl[1], -1))
	sig.lpr[2] <- sqrt(pow(tau.lpr[2], -1))
	sig.lcl[2] <- sqrt(pow(tau.lcl[2], -1))

}